Skip to main content
PUT
/
networks
/
offers
/
{offerId}
/
visibility
Set Offer Visibility
curl --request PUT \
  --url https://api.eflow.team/v1/networks/offers/{offerId}/visibility \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_affiliate_ids": [
    5,
    10,
    15
  ],
  "set_type": "visible"
}
'
{
  "network_id": 123,
  "network_offer_id": 123,
  "network_affiliate_visible_ids": [
    123
  ],
  "network_affiliate_rejected_ids": [
    123
  ],
  "network_affiliate_hidden_ids": [
    123
  ]
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerId
integer
required

The offer ID.

Body

application/json
network_affiliate_ids
integer[]
required

List of affiliate IDs to set visibility for.

set_type
enum<string>
required

The visibility type to apply.

Available options:
visible,
hidden

Response

200 - application/json

OK

network_id
integer

Network ID.

network_offer_id
integer

Offer ID.

network_affiliate_visible_ids
integer[]

Updated list of affiliate IDs with visible access.

network_affiliate_rejected_ids
integer[]

Updated list of affiliate IDs with rejected access.

network_affiliate_hidden_ids
integer[]

Updated list of affiliate IDs with hidden access.